## com.baidubce.services.bos.model
Class Grant

    java.lang.Object
      com.baidubce.services.bos.model.Grant

    public class Grant

extends Object

Specifies a grant, consisting of one grantee and one permission.

Constructor Summary
`Grant()`
`Grant(List<Grantee> grantee, List<Permission> permission)` Constructs a new Grant object using the specified grantee and permission objects.

Method Summary
`boolean` `equals(Object obj)`
`List<Grantee>` `getGrantee()` Gets the grantee being granted a permission by this grant.
`List<Permission>` `getPermission()` Gets the permission being granted to the grantee by this grant.
`int` `hashCode()`
`void` `setGrantee(List<Grantee> grantee)` Sets the grantee being granted a permission by this grant.
`void` `setPermission(List<Permission> permission)` Sets the permission being granted to the grantee by this grant.
`String` `toString()`
`Grant` `withGrantee(List<Grantee> grantee)` Sets the grantee being granted a permission by this grant.
`Grant` `withPermission(List<Permission> permission)` Sets the permission being granted to the grantee by this grant.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Grant

    public Grant()

### Grant

    public Grant(List<Grantee> grantee,
                 List<Permission> permission)

  Constructs a new Grant object using the specified grantee and permission objects.

  Parameters:
    `grantee` - The grantee being granted a permission by this grant.
    `permission` - The permission being granted to the grantee by this grant.

Method Detail

### getGrantee

    public List<Grantee> getGrantee()

  Gets the grantee being granted a permission by this grant.

  Returns:
    The grantee being granted a permission by this grant.

### setGrantee

    public void setGrantee(List<Grantee> grantee)

  Sets the grantee being granted a permission by this grant.

  Parameters:
    `grantee` - The grantee being granted a permission by this grant.

### withGrantee

    public Grant withGrantee(List<Grantee> grantee)

  Sets the grantee being granted a permission by this grant.

  Parameters:
    `grantee` - The grantee being granted a permission by this grant.

### getPermission

    public List<Permission> getPermission()

  Gets the permission being granted to the grantee by this grant.

  Returns:
    The permission being granted to the grantee by this grant.

### setPermission

    public void setPermission(List<Permission> permission)

  Sets the permission being granted to the grantee by this grant.

  Parameters:
    `permission` - The permission being granted to the grantee by this grant.

### withPermission

    public Grant withPermission(List<Permission> permission)

  Sets the permission being granted to the grantee by this grant.

  Parameters:
    `permission` - The permission being granted to the grantee by this grant.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.